AWS IoT Device SDK C++ v2: Aws::Iotshadow::UpdateShadowResponse Class Reference

AWS IoT Device SDK C++ v2 1.14.0 AWS IoT Device SDK C++ v2

Public Member Functions | Public Attributes | List of all members
Aws::Iotshadow::UpdateShadowResponse Class Referencefinal

`#include <UpdateShadowResponse.h>`

## Public Member Functions
| UpdateShadowResponse ()=default
| UpdateShadowResponse (const Crt::JsonView &doc)
UpdateShadowResponse & | operator= (const Crt::JsonView &doc)
void | SerializeToObject (Crt::JsonObject &doc) const

## Public Attributes
Aws::Crt::Optional< Aws::Iotshadow::ShadowState > | State
Aws::Crt::Optional< Aws::Crt::String > | ClientToken
Aws::Crt::Optional< int32_t > | Version
Aws::Crt::Optional< Aws::Iotshadow::ShadowMetadata > | Metadata
Aws::Crt::Optional< Aws::Crt::DateTime > | Timestamp

## Detailed Description

Response payload to an UpdateShadow request.

## Constructor & Destructor Documentation

## ◆ UpdateShadowResponse() [1/2]

Aws::Iotshadow::UpdateShadowResponse::UpdateShadowResponse | ( |  | ) |
| default

## ◆ UpdateShadowResponse() [2/2]

Aws::Iotshadow::UpdateShadowResponse::UpdateShadowResponse | ( | const Crt::JsonView & | doc | ) |

## Member Function Documentation

## ◆ operator=()

UpdateShadowResponse & Aws::Iotshadow::UpdateShadowResponse::operator= | ( | const Crt::JsonView & | doc | ) |

## ◆ SerializeToObject()

void Aws::Iotshadow::UpdateShadowResponse::SerializeToObject | ( | Crt::JsonObject & | doc | ) | const

## Member Data Documentation

## ◆ ClientToken

Aws::Crt::Optional<Aws::Crt::String> Aws::Iotshadow::UpdateShadowResponse::ClientToken

An opaque token used to correlate requests and responses. Present only if a client token was used in the request.

## ◆ Metadata

Aws::Crt::Optional<Aws::Iotshadow::ShadowMetadata> Aws::Iotshadow::UpdateShadowResponse::Metadata

Contains the timestamps for each attribute in the desired and reported sections so that you can determine when the state was updated.

## ◆ State

Aws::Crt::Optional<Aws::Iotshadow::ShadowState> Aws::Iotshadow::UpdateShadowResponse::State

Updated device shadow state.

## ◆ Timestamp

Aws::Crt::Optional<Aws::Crt::DateTime> Aws::Iotshadow::UpdateShadowResponse::Timestamp

The time the response was generated by AWS IoT.

## ◆ Version

Aws::Crt::Optional<int32_t> Aws::Iotshadow::UpdateShadowResponse::Version

The current version of the document for the device's shadow shared in AWS IoT. It is increased by one over the previous version of the document.

The documentation for this class was generated from the following files:

- shadow/include/aws/iotshadow/UpdateShadowResponse.h
- shadow/source/UpdateShadowResponse.cpp